SuicidalInsanity

[1.6.X] Mk2 Expansion v1.8.3.5 [update 1/212019]

Recommended Posts

Using the 'JumpJet' radial VTOL engine I was able to make a very cool VTOL plane. Using them in a triangular formation allowed me to use all the engines in horizontal and vertical flight, without wasting TWR and dry mass, and without the exhaust from one engine going into the intake from another (I know the game don't have any penalty for this, but is something I cannot see as right). It flies very well, I use TCA in the vertical mode. The RCS jets from QuizTech made it turn more quick and stable.

Many thanks for this mod!

I see this engine as being a version of the Wheesley. Would be very nice to have one matching the Whiplash characteristics, for very high and super/hypersonic flight.

If anyone has suggestions or know mods that make this possible, I'm all ears.

Some pics:

TCdTYWk.png

jHPlA8t.png

  • Like 2

Share this post


Link to post
Share on other sites

Another cool craft possible thanks to this mod and infernal robotics. An electric/nuclear fan VTOL. The reactor produces 500 EC/s. I edited the engines to each one use 250 EC/s at sea level, so I need to manage the batteries when flying low, and flight high to reduce the EC usage. Also to make it balanced towards jet engines, because it can fly for years and fly on Eve (where I plan to really use it).

In the last pic it had some battery problems, crashing and losing some parts :P It cannot fly stable in horizontal mode anymore, so I preferred to make a rescue mission.

hirW4YF.jpg

y3eNz3h.jpg

  • Like 2

Share this post


Link to post
Share on other sites

Hi SuicidalInsanity,

I was playing with your mod and I found the Engines D-ZZY'Banshee"Liftfan and D-ZZY'Banshee"Liftfan (2 Variants) have the ModuleSurfaceFX have the thrustProviderModuleIndex pointing to the wrong index.

In the fuselage.cfg file part M2X_FuselageLiftFan.

    MODULE
    {
        name = ModuleSurfaceFX
        thrustProviderModuleIndex = 2           This should be 1
        fxMax = 0.5
        maxDistance = 20
        falloff = 2
        thrustTransformName = smokePoint
    }

In the stack.cfg file part M2X_LiftFan.

    MODULE
    {
        name = ModuleSurfaceFX
        thrustProviderModuleIndex = 1              This should be 2
        fxMax = 0.5
        maxDistance = 40
        falloff = 2
        thrustTransformName = smokePoint
    }

This is a great mod with plenty of nice parts, thank you for that.

Share this post


Link to post
Share on other sites

Small and possibly meaningless note: In the following files, there is an uneven number of { and }. Dunno if that actually causes problems with MM anymore, but thought I'd point them out:

\GameData\Mk2Expansion\Localization\en-us.cfg
\GameData\Mk2Expansion\Localization\ru.cfg
\GameData\Mk2Expansion\Parts\Engines\AASRB\Radial.cfg
\GameData\Mk2Expansion\Parts\Engines\AASRB\RadialL.cfg

One in M3X as well:
\KSP_131_x64\GameData\Mk3Expansion\Localization\en-us.cfg

Share this post


Link to post
Share on other sites

I thought I'd never use this tri-coupler part. But it ended being the core of one of my best SSTOs. It's the Mk2 fuselage rescaled to 2.5m:

screenshot123.png 

  • Like 3

Share this post


Link to post
Share on other sites

Update for 1.4 should be up in a few days, though I'm debating waiting until the expansion drops and 1.4.1 comes out to see if any changes will need to be made for that as well. Most of M2X more or less works as is with 1.4, though Squad's new Electric Eggbeater Jet Engine SFX has led to an unplanned SFX overhaul for M2X engines.
Still very Work in Progress:

 

  • Like 2

Share this post


Link to post
Share on other sites

Hi

I was testing a propeller plane on Eve utilizing the whirllgig turboprop engine, it worked fine, which made me realize an oversight. 

Since the turboprop uses liquid-fuel, it utilizing combustion, since it uses combustion, it needs oxidizer. The propeller gets the oxidizer from the air but it's somehow working on Eve despite the un-oxygenated atmosphere.

It was a bug caused by another mod, apologies.

 

Edited by hihahaba
Realized that another engine mod caused it.

Share this post


Link to post
Share on other sites

After going from 1.4. 0 to 1.4.1 ive noticed 2 bugs so far. 

1: specifically the mattock engine(havnt tested any others) spawns with a full thrust FX visual even though the engine hasnt been staged yet and thrust gauge is at 0.

https://1drv.ms/u/s!AjOhSRn-M-XfjVyKmEy2tJB9L5GC

2:  ive yet to recreate it..ill take a screenshot when I do and post it, but..ive got a craft with the mattock engine, when it spawned, no r-click options appeared(such as mode switch/activate/deactivate, etc), I quit back to main menu to make sure I had advanced tweakabled enabled if that helps, when I returned to my game I tried again, and it seems normal minus the visual bug..weird..

Share this post


Link to post
Share on other sites

M2X Update 1.8.1 is up, grab is from SpaceDock or GitHub.
Changelog:

Spoiler

1.8.1
===========================================
KSP 1.4 update
-Part Refactor: L/T/X Hubs lighter, now hold fuel
-Jets now have custom sounds
-Fixes LiftFan SurfaceFX
-Xenon tank mass rebalances
-Service tank now properly holds 200 Monopropellant
-update to Russian localization, credit to yalov

@Jesusthebird: Testing on my copy of KSP with nothing but Squad and Mk2+dependencies, everything works correctly. The pic you posted looks like quite the modded install. Is everything else updated to 1.4.1?

Edited by SuicidalInsanity
  • Like 3

Share this post


Link to post
Share on other sites

I'm using CKAN, and for some reason, the most recent version it shows for this mod is for 1.3.1.

Share this post


Link to post
Share on other sites
On 3/22/2018 at 2:31 AM, Grenartia said:

I'm using CKAN, and for some reason, the most recent version it shows for this mod is for 1.3.1.

Same, CKAN only has 1.8.06 as the latest version.  Will CKAN be updated?

Share this post


Link to post
Share on other sites

Looks like when it got updated on Spacedock, it got set to KSP version 1.4 instead of 1.4.1, which I think is why CKAN wasn't seeing it. The 1.4/1.4.1 mismatch's been fixed, so CKAN should work now.

Share this post


Link to post
Share on other sites

@SuicidalInsanity Can you release the ships from the OP? Why? Because they look cool and useful and I'm a lazy kerbal.

Also, FREAKN NICE MOD DUDE! (Just rediscovered it, can't believe I've gone this long without it.)

Oh and btw, speaking of nice stuff, the craft that come with this mod are now technically using legacy parts, so you may want to consider going through and switching out the older parts, (I might do this myself and could send you them if you ask).

=) 

Edited by Mark Kerbin

Share this post


Link to post
Share on other sites

@Mark Kerbin. Found them after a little searching; good thing I still have my 1.3.0 install that has them. Here.
Thanks for the heads up on legacy part on the example craft - I forgot to consider them when getting stuff to 1.4.x, but should be easy enough to fix.

  • Like 1

Share this post


Link to post
Share on other sites
29 minutes ago, SuicidalInsanity said:

@Mark Kerbin. Found them after a little searching; good thing I still have my 1.3.0 install that has them. Here.
Thanks for the heads up on legacy part on the example craft - I forgot to consider them when getting stuff to 1.4.x, but should be easy enough to fix.

Awesome!

And no problemo btw.

Crafts still load in fine bc squad has our backs with that, but i thought warning now would be better than a painful awaking when the legacy stuff was scrapped.

Share this post


Link to post
Share on other sites

uhhh not sure if this happen to everyone. its the Banshee VTOl fan. when i goes EVA it start to throttle up somehow.... and all i can do is watch my plane fly away

Share this post


Link to post
Share on other sites

Has anyone had any issues with the Rontgen engine flaming out on Duna? It works fine on Eve and Kerbin for me. Full IntakeATM resource for whatever reason it isnt recognized on Duna.

 I have a heavily modded game, so at first I thought it may be the NFE conflict mentioned earlier in the thread... but I removed all my mods and tried the included Zephyr craft with still the same problem. 

Anybody have an idea why this is? I really want a Nuclear Cruiser for my Duna exploration on this career :confused: 

Im running 1.3.1 x64 with MK2EX 1.8.06 

Lastly, thank you SuicidalInsanity for the wonderful mod. 

Share this post


Link to post
Share on other sites

Kennosuke, can confirm the Fans throttling up when EVA, so something weird is definitely going on, no idea why at present though, hopefully it won't be too difficult to fix.
dubdubak, the Rontgen is flaming out at Duna because Duna's atmospheres is really, really thin. [not sure if Duna's atm changed at some point, I remember being able to use it there before] I can try tweaking the atmosphereCurve for the engine, but at present it looks like it needs around at least 110g/m3 of atmosphere to run, which means it'll flame out above 2km or so.

If you open up Mk2Expansion/Parts/Engines/rontgen/part.cfg and replace atmCurve with

			key = 0 0.015 0 0.05
			key = 0.09871796 0.1360193 1.758196 1.663003
			key = 0.349359 0.5615385 1.36889 1.164442
			key = 0.6582142 0.7772099 0.4985181 0.4985181
			key = 1 1
			key = 1.867323 1.531713 0.6131158 0.2955314
			key = 11.80769 2.882051 0.06641885 0.08124997
			key = 90 10

that should let the Rontgen work over most of Duna, though you may still need to fly around, rather than over, some of the taller mountains.

Edited by SuicidalInsanity

Share this post


Link to post
Share on other sites

@SuicidalInsanity thanks for the config edit!  You the best my man :D

 

For those curious, with the atmCurve  provided above, the Rontgen has an operation ceiling a little over 5km ASL on Duna, with about a range of 11-20kN of thrust. I was able to take off from the surface (at 3km ASL) with a 5900kg craft. Its a  bit slow to accelerate but I reached about 250m/s. Im running stock aero on 1.3.1. 

Share this post


Link to post
Share on other sites

Just a small thing; your version numbering is a bit off :)

eOI6NNA.png

Version numbers aren't treated like floats; 2:1.8.1 shouldn't be a newer version than 2:1.8.02 to 2:1.8.06, since naturally sorting those minor versions results in ".06" being treated as the same as ".6", while ".1" isn't treated like ".10". If you meant to release this as ".10", it should have been "2:1.8.10" as the version string, so programs like CKAN can figure out the correct order of release. This also means you can use 3 digit minor version numbers, should you ever need to.

It thankfully doesn't cause issues at the moment, since the Compatible KSP Version is different, but if you make a release across the same KSP versions in the future, it might cause issues with people installing older versions of the mod, and reporting already fixed problems in the thread :)

  • Like 2

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now